All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::tools::MATRIX_SIZE_DEDUCER< LHS, RHS, OP > Struct Template Reference

Deduces the size of the resulting vector represented by a vector_expression from the operands. More...

`#include <matrix_size_deducer.hpp>`

## Static Public Member Functions

static vcl_size_t | size1 (LHS &lhs, RHS &)
static vcl_size_t | size2 (LHS &, RHS &rhs)

## Detailed Description

### template<typename LHS, typename RHS, typename OP>
struct viennacl::tools::MATRIX_SIZE_DEDUCER< LHS, RHS, OP >

Deduces the size of the resulting vector represented by a vector_expression from the operands.

Template Parameters

  LHS | The left hand side operand
  RHS | The right hand side operand
  OP | The operation tag

Definition at line 47 of file matrix_size_deducer.hpp.

## Member Function Documentation

template<typename LHS , typename RHS , typename OP >

static vcl_size_t viennacl::tools::MATRIX_SIZE_DEDUCER< LHS, RHS, OP >::size1 | ( | LHS & | lhs,
|  | RHS & |
| ) |  |

inline static

Definition at line 50 of file matrix_size_deducer.hpp.

template<typename LHS , typename RHS , typename OP >

static vcl_size_t viennacl::tools::MATRIX_SIZE_DEDUCER< LHS, RHS, OP >::size2 | ( | LHS & | ,
|  | RHS & | rhs
| ) |  |

inline static

Definition at line 51 of file matrix_size_deducer.hpp.

The documentation for this struct was generated from the following file:

- viennacl/tools/matrix_size_deducer.hpp